Bug 613185 - libvpx-devel multilib conflict
Summary: libvpx-devel multilib conflict
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libvpx
Version: 17
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 21:39 UTC by Philippe Troin
Modified: 2013-08-01 18:35 UTC (History)
1 user (show)

Fixed In Version: libvpx-0.9.1-3.el5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 18:34:58 UTC


Attachments (Terms of Use)

Description Philippe Troin 2010-07-09 21:39:38 UTC
Description of problem:

yum install libvpx-devel.{i686,x86_64}

yields:

Transaction Check Error:
  file /usr/share/doc/libvpx-devel-0.9.1/docs/latex/doxygen.sty from install of libvpx-devel-0.9.1-2.fc13.i686 conflicts with file from package libvpx-devel-0.9.1-2.fc13.x86_64
  file /usr/share/doc/libvpx-devel-0.9.1/docs/latex/refman.tex from install of libvpx-devel-0.9.1-2.fc13.i686 conflicts with file from package libvpx-devel-0.9.1-2.fc13.x86_64


Version-Release number of selected component (if applicable):

libvpx-devel-0.9.1-2.fc13

Comment 1 Fedora Update System 2010-09-01 21:38:48 UTC
libvpx-0.9.1-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/libvpx-0.9.1-3.fc12

Comment 2 Fedora Update System 2010-09-01 21:38:57 UTC
libvpx-0.9.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libvpx-0.9.1-3.fc13

Comment 3 Fedora Update System 2010-09-01 21:39:06 UTC
libvpx-0.9.1-3.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libvpx-0.9.1-3.el5.1

Comment 4 Fedora Update System 2010-09-01 21:39:16 UTC
libvpx-0.9.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libvpx-0.9.1-3.fc14

Comment 5 Fedora Update System 2010-09-02 02:27:31 UTC
libvpx-0.9.1-3.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvpx'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libvpx-0.9.1-3.el5.1

Comment 6 Fedora Update System 2010-09-11 03:30:55 UTC
libvpx-0.9.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-09-11 09:02:32 UTC
libvpx-0.9.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-09-11 09:03:48 UTC
libvpx-0.9.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-09-16 16:31:42 UTC
libvpx-0.9.1-3.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Philippe Troin 2012-06-12 23:55:34 UTC
Reintroduced in F17:

# yum install -y libvpx-devel
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package libvpx-devel-1.0.0-1.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package libvpx-devel.i686 0:1.0.0-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch         Version                 Repository      Size
================================================================================
Installing:
 libvpx-devel         i686         1.0.0-1.fc17            fedora         199 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 199 k
Installed size: 1.8 M
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/libvpx-devel-1.0.0/html/annotated.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/changelog.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/classes.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_decode_to_md5.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_decode_with_drops.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_error_resilient.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_force_keyframe.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_postproc.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_simple_decoder.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_simple_encoder.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_twopass_encoder.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_vp8_scalable_patterns.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_vp8_set_maps.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_vp8cx_set_ref.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_vpxdec.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/example_vpxenc.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/files.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/functions.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/functions_vars.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/globals.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/globals_defs.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/globals_enum.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/globals_eval.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/globals_func.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/globals_type.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__cap__put__frame.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__cap__put__slice.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__cap__xma.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__codec.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__codecs.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__decoder.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__encoder.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__vp8.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__vp8__decoder.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/group__vp8__encoder.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/index.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/modules.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/pages.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/readme.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/rfc2119.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/samples.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvp8__postproc__cfg.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__active__map.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__codec__ctx.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__codec__cx__pkt.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__codec__dec__cfg.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__codec__enc__cfg.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__codec__mmap.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__codec__stream__info.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__fixed__buf.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__rational.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__ref__frame.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__roi__map.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/structvpx__scaling__mode.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/todo.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/usage.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/usage_decode.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/usage_encode.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/usage_xma.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vp8_8h.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vp8_8h_source.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vp8_api1_migration.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vp8cx_8h.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vp8cx_8h_source.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vp8dx_8h.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vp8dx_8h_source.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vpx__codec_8h.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vpx__codec_8h_source.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vpx__decoder_8h.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vpx__decoder_8h_source.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vpx__encoder_8h.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vpx__encoder_8h_source.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vpx__image_8h.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64
  file /usr/share/doc/libvpx-devel-1.0.0/html/vpx__image_8h_source.html from install of libvpx-devel-1.0.0-1.fc17.i686 conflicts with file from package libvpx-devel-1.0.0-1.fc17.x86_64

Error Summary
-------------

[2]    12647 exit 1     noglob yum install -y libvpx-devel

Comment 11 Fedora End Of Life 2013-07-04 06:54:27 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2013-08-01 18:35:02 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.